document.addEventListener('DOMContentLoaded', function(){ // on dom ready


var cy = cytoscape({
  container: document.getElementById('cy'),

  boxSelectionEnabled: false,
  autounselectify: true,

  style: cytoscape.stylesheet()
    .selector('node')
      .css({
        'content': 'data(id)'
      })
    .selector('edge')
      .css({
        'target-arrow-shape': 'triangle',
        'width': 4,
        'line-color': '#ddd',
        'target-arrow-color': '#ddd',
        'curve-style': 'bezier'
      })
    .selector('.highlighted')
      .css({
        'background-color': '#61bffc',
        'line-color': '#61bffc',
        'target-arrow-color': '#61bffc',
        'transition-property': 'background-color, line-color, target-arrow-color',
        'transition-duration': '0.5s'
      }),
  
  elements: {
      nodes: [
        { data: { id: 'a' } },
        { data: { id: 'b' } },
        { data: { id: 'c' } },
        { data: { id: 'd' } },
        { data: { id: 'e' } }
      ], 
      
      edges: [
        { data: { id: 'ae', weight: 1, source: 'a', target: 'e' } },
        { data: { id: 'ab', weight: 3, source: 'a', target: 'b' } },
        { data: { id: 'be', weight: 4, source: 'b', target: 'e' } },
        { data: { id: 'bc', weight: 5, source: 'b', target: 'c' } },
        { data: { id: 'ce', weight: 6, source: 'c', target: 'e' } },
        { data: { id: 'cd', weight: 2, source: 'c', target: 'd' } },
        { data: { id: 'de', weight: 7, source: 'd', target: 'e' } }
      ]
    },
  
  layout: {
    name: 'breadthfirst',
    directed: true,
    roots: '#a',
    padding: 10
  }
});



cy.on('tap', 'node', function(e){
    var node = e.cyTarget; 
    var neighborhood = node.neighborhood().add(node);
  
    cy.elements().addClass('faded');
    neighborhood.removeClass('faded');

    // uložení
    /*
    var exp1 = cy.json();
    var exp = JSON.stringify(exp1);
    $.get("uloz.php",{exp: exp});
    */
    

    // toto funguje (ale je to blbé):
    /*
    var exp = cy.json();
    $.each(exp.elements.nodes[0].data, function(key, value) {
        alert(key + ': ' + value);
    });
    */

});

cy.on('tap', function(e){
  if( e.cyTarget === cy ){
    cy.elements().removeClass('faded');
  }
});


$("div#save").click(function(){
    var exp1 = cy.json();
    var exp = JSON.stringify(exp1);
    //alert(exp);
    //$.get("./akce/uloz.php",{exp: exp});
    $.get("./akce/grafy_edit.php",{exp: exp});
});


$("div#zoom").click(function(e){
    var meritko = cy.zoom();
    if(meritko==2.0) meritko = 1.04;
    else meritko = 2.0;

    $("#cy").toggleClass("full");

    cy.zoom({
        level: meritko // the zoom level
    });   

});





// export do png
/*
var png64 = cy.png();
$('#png-eg').attr('src', png64);
*/


// matice sousednosti
var $ts = $('<table>', {
    id: 'sousednost'
});

// první řádek
$($ts).append('<th>&nbsp;</th>');
cy.nodes().forEach(function( ele ){
    $($ts).append('<th>' + ele.id() + '</th>');
});

$($ts).wrapInner('<tr>');



var i = 0;
var j = 0;


cy.nodes().forEach(function( ele ){
    var $radek = $('<tr>',{});
    $($radek).append('<th>' + ele.id() + '</th>');
    i = ele.id();
    cy.nodes().forEach(function( ele ){
        j = ele.id();
        $($radek).append('<td id="'+ i + j +'">0</td>');
    });


    $($ts).append($radek);
});




//alert(d);

// zobrazení (zapojení do body)
$("#sous").append($ts);


var d = '';
cy.edges().forEach(function( ele ){
    d = ele.data("source") + ele.data("target");
    $("#"+d).text(ele.data("value"));    
});



}); // on dom ready